#include <bits/stdc++.h>
using namespace std;
long long s, ans;
map<long long , long long> Mp;
int n;
int main() { 

    Mp[0] = 1;
    cin>>n;
    for(int i =1 ; i<=n;i++)
    {
        long long x;
        cin>>x;
        s+=x;
        ans+=Mp[s];
        Mp[s]++;
    }
    cout<<ans;

}
